Package fr.gouv.vitam.storage.engine.common.metrics

# Class DownloadCountingSizeMetricsResponse

java.lang.Object
jakarta.ws.rs.core.Response
fr.gouv.vitam.common.client.VitamAutoClosableResponse
fr.gouv.vitam.storage.engine.common.metrics.DownloadCountingSizeMetricsResponse

All Implemented Interfaces:
  `AutoCloseable`

public class DownloadCountingSizeMetricsResponse extends VitamAutoClosableResponse

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class jakarta.ws.rs.core.Response

  `jakarta.ws.rs.core.Response.ResponseBuilder, jakarta.ws.rs.core.Response.Status, jakarta.ws.rs.core.Response.StatusType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DownloadCountingSizeMetricsResponse(Integer tenant, String strategy, String offer, String origin, DataCategory dataCategory, jakarta.ws.rs.core.Response response)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getEntity()`
  `<T> T`
  `readEntity(jakarta.ws.rs.core.GenericType<T> entityType)`
  `<T> T`
  `readEntity(jakarta.ws.rs.core.GenericType<T> entityType, Annotation[] annotations)`
  `<T> T`
  `readEntity(Class<T> entityType)`
  `<T> T`
  `readEntity(Class<T> entityType, Annotation[] annotations)`

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamAutoClosableResponse

  `bufferEntity, close, getAllowedMethods, getCookies, getDate, getEntityTag, getHeaderString, getLanguage, getLastModified, getLength, getLink, getLinkBuilder, getLinks, getLocation, getMediaType, getMetadata, getStatus, getStatusInfo, getStringHeaders, hasEntity, hasLink`

  ### Methods inherited from class jakarta.ws.rs.core.Response

  `accepted, accepted, created, fromResponse, getHeaders, isClosed, noContent, notAcceptable, notModified, notModified, notModified, ok, ok, ok, ok, ok, seeOther, serverError, status, status, status, status, temporaryRedirect`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DownloadCountingSizeMetricsResponse

    public DownloadCountingSizeMetricsResponse(Integer tenant, String strategy, String offer, String origin, DataCategory dataCategory, jakarta.ws.rs.core.Response response)

- ## Method Details

  - ### getEntity

    public Object getEntity()
    Overrides:
      `getEntity` in class `VitamAutoClosableResponse`

  - ### readEntity

    public <T> T readEntity(Class<T> entityType)
    Overrides:
      `readEntity` in class `VitamAutoClosableResponse`

  - ### readEntity

    public <T> T readEntity(jakarta.ws.rs.core.GenericType<T> entityType)
    Overrides:
      `readEntity` in class `VitamAutoClosableResponse`

  - ### readEntity

    public <T> T readEntity(Class<T> entityType, Annotation[] annotations)
    Overrides:
      `readEntity` in class `VitamAutoClosableResponse`

  - ### readEntity

    public <T> T readEntity(jakarta.ws.rs.core.GenericType<T> entityType, Annotation[] annotations)
    Overrides:
      `readEntity` in class `VitamAutoClosableResponse`